main {color: #000;}

div.partner-breadcrumbs {
    margin:10px 0px;
}
span.partner-breadcrumb-item {
    background-color: #ededed;
    padding: 5px 20px;
    border-radius: 2px;
    margin-right: 2px;
    color: #000 !important;
}

span.partner-breadcrumb-item i {margin-right:6px;}

.partner-logo {border-radius: 5px;}
.partner-logo-large {max-width: 250px; max-height: 100px;}

img.persons-image-inline {margin-right: 0.5em;}
img.persons-image {max-width: 100%; max-height:80px;}
img.persons-image-round {border-radius: 100%;}
img.partner-logo-sidebar {width: 100%;margin-bottom: 1em;}

div.partner-table-subheader {
    margin-bottom: 0;
    padding: 0em 0em;
    font-size: 1.5em;
    color: #3445b4;
}


i.icon-button {cursor: pointer;}


table.table.compressed-table.table-super-compact th,
table.table.compressed-table.table-super-compact td {padding: 0; vertical-align: middle; border:0px;}
table.table.compressed-table.table-super-compact select {padding: 0.1em 0.5em; margin: 0 0 5px 0;}

table.permission-table th {width:200px;}
table.permission-table td select {width:200px; display: inline-block;}

.searchHighlight {background-color: yellow;}
.searchButton {min-width: initial !important;}

.partner-input-container {color: #000;}
.partner-input-container h5 {font-size:1.2em; margin-top:2em;}
.partner-input-group {margin-bottom:10px;}
input:focus {border: 1px solid #495057 !important; background-color: #eae8e1  !important;}
textarea.partner-textarea { resize: none; border:1px solid #dddddd; font-style: initial; font-size: small;}



.btn-light2:hover {
    color: #fff;
    background-color: #adadad;
    border-color: #adadad;
}


.poolConfigContainer {
    display:none;
    background-color: #fff;
    position: absolute;
    z-index:1000;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
}

.poolConfigClose {position: absolute; left: 1.5em; bottom: 1.5em;}
.poolConfigClose button {background-color: #242424 !important; border-color: #242424 !important; padding: 1em 1.4em;}
iframe.poolPlanner {width:100%; height:100%;}






/* STYLING AV OFFERTTABELLEN */
table.partner-table thead th{background-color: #00728a;color: #fff; font-weight: 600; border-bottom-color: #d6d6d6 !important; }
table.partner-table thead tr th.datum {width: 100px;}
table.partner-table tbody tr {font-size: 0.9em;}


.partner-table-right {text-align: right;}


/* FLEXBOX TABELL FÖR OFFERTER */
.quote-flex-table {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.quote-flex-table-row {
    display: flex;
    align-items: center;
    position: relative;
}
.quote-flex-table-row:not(.row-quote-header):hover {
    background-color: #ededed;
    border-radius: 5px;
}

.quote-flex-table-row:hover i.partner-icon-quotelist{color: #414141;}

.quote-flex-table-row:last-child {
    border-bottom: none;
}

.quote-flex-table-cell {
    padding: 2px 5px;
    font-size: 11px;
    box-sizing: border-box;
}

.quote-flex-table-cell:last-child {
    border-right: none;
}

.quote-flex-table-row.row-inactive, .quote-flex-table-row.row-inactive input , .quote-flex-table-row.row-inactive a, .quote-flex-table-row.row-inactive span {
    text-decoration: line-through;
    color: #ff7777 !important;
}
.quote-flex-table-row.row-inactive i, .row-quote-subheader i {visibility: hidden;}
.quote-flex-table-row.row-inactive i[data-action='toggleRow'], .row-quote-subheader i[data-action='toggleRow'] {visibility: visible;}


/* Produktlista */
td.skuDesc {
    overflow: hidden; /* Hides the overflowing text */
    white-space: nowrap; /* Prevents the text from wrapping to the next line */
    text-overflow: ellipsis; /* Adds the ellipsis */
    max-width: 80ch; /* Limits the text to 100 characters */
  }

/* Set individual column widths */
.row-quote-header {font-weight: bold;
    font-size: 1.2em;
    background-color: #fff;
    color: #fff;
    padding-top: 10px;
    position: sticky;
    top: 0px;
    z-index: 1000;
}
.row-quote-header div.quote-flex-table-cell {
    background-color: #00728a;
    padding: 0.5em 1em;
}


    

.row-quote-subheader {width: 100%; font-weight: bold; font-size: 1em; margin-top:1em;}

.col-quote-buttoncell { width: 140px;}
.col-quote-subtitle { width: calc(100% - 150px); }
.col-quote-sku { width: 70px; }
.col-quote-productname { width: calc(100% - 750px);}
.col-quote-qty { width: 60px;  text-align:right;}
.col-quote-priceunit { width: 100px; text-align:right; font-weight: 600; }
.col-quote-discount { width: 60px;  text-align:right;  font-weight: 600;}
.col-quote-pricetotal {width: 80px; text-align:right; font-weight: 600;}
.col-quote-partnerdiscount {width: 80px; text-align:right;}
.col-quote-partnerprice {width: 80px; text-align:right;}
.col-quote-partnertb {width: 80px; text-align:right;  }
 
.col-quote-partnerdiscount, .col-quote-partnerprice , .col-quote-partnertb {color: #808080;}
.row-quote-header-container {display:flex; width: 100%; overflow: hidden;}
.row-quote-header-container .quote-flex-table-cell {color: #fff; !important}
.col-quote-itemclass {width: 100px; white-space: nowrap;}

span.link-change-sku {color: #3445b4;cursor: pointer;}
button.link-change-sku {color: #808080;background: none;border: 0;}
button.link-change-sku:focus-visible {
    outline: 2px solid #495057 !important;
}
.col-quote-partnerdiscount span.link-change-sku {color: #808080; cursor: pointer;}


div.partner-badge-container {min-width:30px; display: inline-block;}
span.input-group-text {
    font-size: small;
    min-width: 200px;
    background-color:#efefef;
    color: #000;
    font-weight: 500;
}

/* Offertens summering av pris mm */
.quote-sumary-big {
    font-size: 2.6em;
    line-height: 1.3em;
    color: #fff;
    font-weight: bold;
}

.quote-summary {
    position: sticky;
    top: 10px;
    margin-top: 10px;
    padding: 1em;
    z-index: 1000;
    background-color:#00728a;
    border-radius: 5px;
}
table.quote-table-summary tr td, table.quote-table-contacts tr td {
    border:0px;
    padding-top: 5px;
    padding-bottom: 5px;
    color: #fff;
}
/* ############################################### */


/* Offertens  kontaktuppgifter  */
.quote-summary-contacts, .quote-summary-connectquote {
    margin-top: 10px;
    padding: 1em;
    z-index: 1000;
    background-color: #ededed;
    border-radius: 5px;
}
table.quote-table-contacts tr td {color: #000;  }
/* ############################################### */



/* Offertens offertnr */
.quote-summary-quotenr {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    background-color: #ededed;
    border-radius: 5px;
    flex-direction: column;
    padding: 1.5em;
}
.quote-summary-quotenr h2 {
    font-size: 2.6em;
    line-height: 1.3em;
    font-weight: bold;
    margin: 0px;
}
/* ############################################### */

.quote-summary-header {padding: 1.5em 0em;}
h1.quote-summary-name {font-size: 2.8em;font-weight: bold;  margin:0;}
h2.quote-summary-name {font-size: 1.8em;font-weight: bold;  margin:0;}
span.quote-summary-desc {
    font-size: 1.2em;
    font-weight: bold;
    color: #000;
    line-height: 1em;
    text-align: center;
}

/* Knapprad med knappar i sidled */
.btn-group.horisontal-button-menu > *:not(:first-child) {border-left: 2px solid #fff;}
.button-action-needed {
    background-color: #f9b852;
    color: #fff;
}

/* Knapprad med knappar i sidles som centreras */
.btn-group-middle {
    display: flex;
    vertical-align: middle;
    justify-content: center;
    margin-top: 20px;
    margin-bottom: 50px;
    gap: 10px;
}

.btn-group-middle .btn {flex: initial;}


img.quote-list-psicon {
    max-height: 18px;
    margin-right: 5px;
}

i.rotate-icon {
    animation: rotateIcon 2s linear infinite;
}

@keyframes rotateIcon {
    0% {
        transform: rotate(0deg); 
    }
    100% {
        transform: rotate(360deg); 
    }
}


i.partner-icon-quotelist {
    margin-right: 0px;
    font-size: 1em;
    color: #414141;
    /*background-color: #e8e8e8;*/
    padding: 8px;
    border-radius: 4px;
    cursor: pointer;
}


/*.col-quote-buttoncell i.fas.fa-plus-circle {
    position: absolute;
    left: -1.5em;
    bottom: -1.2em;
    visibility: hidden;
    font-size: 1.2em;
}*/

.col-quote-buttoncell:hover i.fas.fa-plus-circle {visibility: visible;}


.quote-list-input {
    width: 65px;
    padding: 0px 10px 0px 0px;
    border: 0px !important;
    background-color: initial;
    font-size: 11px !important;
    color: #3445b4 !important;
    font-weight: 700;
    text-align: center;
}
.quote-list-input::after {content: "%";}



table.quote-table-summary tr td:first-of-type {font-weight: bold;}
table.quote-table-summary tr td:last-of-type {white-space: nowrap;}




.partner-tablepage-navigation {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 10px;
    margin-bottom: 50px;
}

a.partner-tablepage-link {
    padding: 10px;
    background-color: #eae8e1;
    width: 40px;
    height: 40px;
    text-align: center;
    border-radius: 100px;
    font-weight: bold;
}
a.partner-tablepage-link:hover {
    background-color: #ccccc5;
 }

a.partner-tablepage-link.active-page {
    background-color: #00728a;
    color: #fff;
}



ul.partner-tabs {margin-top: 1em;}
ul.partner-tabs button.nav-link {color: #3445b4;}
ul.partner-tabs li.nav-item button {font-weight: bold;}
div.partner-tabs-content {padding-top:1.5em;}












@media (max-width: 600px) {
    .quote-flex-table-row {flex-direction: column;}
    .quote-flex-table-cell {width: 100%; border-right: none; border-bottom: 1px solid #ccc;}
    .quote-flex-table-cell:last-child {border-bottom: none;}

    /* Fix av pooloffert */
    .row-quote-header-container {display:none;}
    .quote-flex-table-cell.col-quote-productname {font-weight: bold;}
    input.quote-list-input {text-align: right;}
    .quote-flex-table-cell.col-quote-subtitle {background-color: #EAE8E1;}
    .quote-flex-table-cell.col-quote-qty::before {content: "Antal i offert (styck)"; position: absolute; left: 5px;}
    .quote-flex-table-cell.col-quote-priceunit::before {content: "Pris inkl moms (styck)"; position: absolute; left: 5px;}
    .quote-flex-table-cell.col-quote-discount::before {content: "Rabatt i procent %"; position: absolute; left: 5px;}
    .quote-flex-table-cell.col-quote-discount::before {content: "Rabatt i procent %"; position: absolute; left: 5px;}
    .quote-flex-table-cell.col-quote-pricetotal::before {content: "Totalt pris inkl moms"; position: absolute; left: 5px;}
    

}